POST Agents/Find/GetCriteriaInformation
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/Find/GetCriteriaInformation
Get criteria information from a set of saved criteria.
The result contains the restrictions in two forms: fully populated ArchiveRestrictionInfo objects, used to display details and for saving changes; and as a list suitable for an Archive control NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Find/GetCriteriaInformation?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
StorageType, ProviderName, StorageKey, StaticColumns
| Property Name | Type | Description |
|---|---|---|
| StorageType | String | |
| ProviderName | String | |
| StorageKey | String | |
| StaticColumns | Array |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: CriteriaInformation
| Property Name | Type | Description |
|---|---|---|
| Restrictions | array | Array of ArchiveRestrictionInfo restriction specifications (for the first restrictiongroup if there are more than one group |
| CriteriaArchiveColumns | array | Array of ColumnInfo column specifications |
| CriteriaArchiveRows | array | Array of archive list items, i.e., the service layer carrier for archive rows. These are the criteria, represented as archive rows. |
| RestrictionGroups | array | Array of restrictiongroups, including the default first group of restrictions |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Find/GetCriteriaInformation
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"StorageType": "ab",
"ProviderName": "Moen LLC",
"StorageKey": "eligendi",
"StaticColumns": [
"consectetur",
"veritatis"
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Restrictions": [
{
"Name": "name",
"Operator": "contains",
"Values": [
"Anderson"
],
"DisplayValues": [
"Anderson"
],
"ColumnInfo": null,
"IsActive": true,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 0,
"InterOperator": "And",
"UniqueHash": 769
}
],
"CriteriaArchiveColumns": [
{
"DisplayName": "Name",
"DisplayTooltip": "Contact name",
"DisplayType": "string",
"CanOrderBy": true,
"Name": "name",
"CanRestrictBy": true,
"RestrictionType": "string",
"RestrictionListName": "",
"IsVisible": true,
"ExtraInfo": "",
"Width": "200",
"IconHint": "person",
"HeadingIconHint": "person"
}
],
"CriteriaArchiveRows": [
{
"EntityName": "contact",
"PrimaryKey": 411,
"ColumnData": {
"name": {
"DisplayValue": "John Anderson",
"TooltipHint": "Sales Manager",
"LinkHint": "contact.main?contact_id=411"
}
},
"LinkHint": "contact.main?contact_id=411",
"StyleHint": "",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 790
}
}
}
],
"RestrictionGroups": [
{
"Name": "Active Contacts",
"Description": "Search for active contacts in the system",
"Rank": 1,
"Restrictions": [
{},
{}
]
},
{
"Name": "Recent Customers",
"Description": "Contacts created in the last 30 days",
"Rank": 2,
"Restrictions": [
{},
{}
]
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 529
}
}
}